173xx driver doesn't work on recent kernels on several distros

VGA: NV34 (GeForce 5500)
Distributions were tested according to the apropriate wikis or recommended manual ways:

Debian Wheezy --> works fine
Debian Jessie (testing) --> doesn’t work

Linux Mint 16 --> doesn’t work

Ubuntu 13.10 --> doesn’t work

Aptosid --> doesn’t work

I would appreciate at least an explanation (I know nvidia drivers for legacy VGAs are always late), or another way to use any nvidia driver without a kernel panic or worse.

Thanks.

Here’s the official explanation: http://nvidia.custhelp.com/app/answers/detail/a_id/3142

“Support for X.Org xserver version 1.15 was added to the 173.14.* legacy driver series with version 173.14.39. No further releases from the 173.14.* series are planned.”

With a patch that you can get here, the driver can be made to compile and work with kernel 3.13. And as said above, Xorg up to version 1.15 is supported. There may be further patches to support later kernels, but Xorg versions newer than 1.15 will never be supported (that’s because the userspace parts of the driver are all blobs, only Nvidia can recompile those).

Thanks, Gusar.

Just to clarify one point: it’s the X video driver ABI that’s important, not necessarily the version of the server itself. At this point, there haven’t been any changes in the X server that require the ABI to be bumped. If that remains the case by the time the merge window closes on April 1, then in theory xserver 1.16 will still work with 173.14.39.

Gusar: The link to the patch doesn’t work.

aplattner: The problem is that the driver doesn’t work. If there is a way to install the driver (besides the way those distros propose) for aptosid and debian jessie/sid, please do share it.

Thanks.

add

deb http://packages.siduction.org/fixes unstable main contrib non-free

to your sources, then you can install this driver easy with apt-get.

Btw, the link above works.

Probably because there is no link to the patch :). But there is a “Download tarball” link and the patch is in that tarball.

Gusar I mean this link (If I were 30 years younger I’d probably click it all day to make sure):
http://us.download.nvidia.com/XFree86/Linux-/173.14.39/NVIDIA-Linux–173.14.39-pkg0.run

towo, thanks for the repository link, hope siduction repo works for my vga.

You didn’t notice that the link is incomplete? The Sources list is extracted from the PKGBUILD’s source array, but this doesn’t work properly if the array contains variables, as is the case in this particular PKGBUILD.

Thanks Gusar, I downloaded the tarball and 173xx-linux-3.13.patch might work after all.

It’s been years since I’ve built a custom kernel-package (I used custom kernels a lot at the time) but I’ll manage, and after a lot of reading elsewhere, the patch you shared on the tarball link will work.

Here’s a quick link about getting it done in debian:
https://wiki.debian.org/HowToRebuildAnOfficialDebianKernelPackage

Thanks to all for the quick replies.

If you’re using Debian jessie/sid there’s really two issues.

The first is that the Debian jessie/sid 173xx packages haven’t been patched yet to support a 3.13 kernel. Upgrading to the ‘173.14.39-2.siduction.1’ version from the siduction.org/fixes repo will take care of that (thankyou towo).

The other issue (for me anyway) seems to be that the 173.14.39 driver doesn’t actually work with Xorg 1.15. I know support was supposed to have been added with the final update of the 173 series driver, but I get an error with Xorg 1.15. It segfaults immediately after the “Initializing extension GLX” posting in the Xorg.0.log.

Below is the tailend of the Xorg.0.log – the full log is here: http://paste.debian.net/86986/

[    33.102] (II) Initializing extension GLX
[    33.102] (EE) 
[    33.102] (EE) Backtrace:
[    33.102] (EE) 0: /usr/bin/X (xorg_backtrace+0x4f) [0xb76b599f]
[    33.102] (EE) 1: /usr/bin/X (0xb750e000+0x1ab774) [0xb76b9774]
[    33.102] (EE) 2: linux-gate.so.1 (__kernel_rt_sigreturn+0x0) [0xb74ec40c]
[    33.102] (EE) 3: /usr/lib/xorg/modules/linux/libglx.so (0xb5b34000+0x1203d5) [0xb5c543d5]
[    33.103] (EE) 4: /lib/i386-linux-gnu/libc.so.6 (__libc_start_main+0xf3) [0xb7064723]
[    33.103] (EE) 
[    33.103] (EE) Segmentation fault at address 0x0
[    33.103] (EE) 
Fatal server error:
[    33.103] (EE) Caught signal 11 (Segmentation fault). Server aborting
[    33.103] (EE) 
[    33.103] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    33.103] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    33.103] (EE)

Btw, there’s also a Debian bugreport here: http://lists.alioth.debian.org/pipermail/pkg-nvidia-devel/2014-March/009920.html where it also fails after the “Initializing extension GLX” step.

If I rollback Xorg to the 1.14.5 version, the 173xx driver works fine for me with a 3.13 kernel, that’s what I’m using right now. (here’s the Xorg.0.log - http://paste.debian.net/86995)

Never mind, I was wrong about this; the video driver ABI got bumped to 16 after all.